Subject: bug#36199: closed (Re: bug#36199: Newsboat: HTTPS urls broken)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 12 Jul 2019 17:04:02 +0000

Your bug report

#36199: Newsboat: HTTPS urls broken

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
36199: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=36199
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#36199: Newsboat: HTTPS urls broken
From: Giovanni Biscuolo <[email-masked]>
To: Robert Smith <[email-masked]>
Cc: [email-masked]
Date: Fri, 12 Jul 2019 19:03:10 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Robert,

Robert Smith <[email-masked]> writes:

[...]

> Today I tried newsboat for the first time since my last
> email and I was surprised to find that the issue has been
> completely fixed.

Glad you resolved this, I'm closing this bug now.

> Thanks again for your help!

You are wellcome!

Happy Guix! Gio'

-- 
Giovanni Biscuolo

Xelera IT Infrastructures

Subject: Newsboat: HTTPS urls broken
From: Robert Smith <[email-masked]>
To: [email-masked]
Date: Fri, 14 Jun 2019 01:46:01 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Version information: (from `newsboat --version`)

newsboat 2.13.0
System: Linux 5.1.7-gnu (x86_64)
Compiler: g++ 5.5.0
ncurses: ncurses 6.1.20180127 (compiled with 6.1)
libcurl: libcurl/7.65.0 GnuTLS/3.6.5 zlib/1.2.11 libidn2/2.0.5 
nghttp2/1.35.1 (compiled with 7.63.0)
SQLite: 3.26.0 (compiled with 3.24.0)
libxml2: compiled with 2.9.8

Currently only http feeds are successfully being resolved, all https
feeds fail the SSL verification. I am using the Guix System, and no
other program (web browsers, etc.) exibits this behavior.

An example of the specific error given:
"Error while retrieving https://xkcd.com/rss.xml: SSL peer certificate 
or SSH remote key was not OK"